<?php namespace TPS\Birzha\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateTpsBirzhaNotifications extends Migration
{
    public function up()
    {
        Schema::create('tps_birzha_notifications', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->string('subject')->nullable();
            $table->text('text')->nullable();
            $table->dateTime('read_at')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('tps_birzha_notifications');
    }
}
